List Metrics
List all available metrics
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
page?integer
Format
int32pageSize?integer
Format
int32billableOnly?boolean
Response Body
application/json
curl -X GET "https://api.nrings.io/v1/metrics?page&pageSize&billableOnly" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"metrics": [
{
"id": "string",
"name": "string",
"code": "string",
"description": "string",
"metricType": "METRIC_TYPE_UNSPECIFIED",
"aggregationType": "AGGREGATION_TYPE_UNSPECIFIED",
"unit": "string",
"unitPlural": "string",
"billable": true,
"recurring": true,
"retentionDays": 0,
"externalId": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
}
],
"totalCount": 0
}